SET NOCOUNT ON;

INSERT INTO yahoo.QuoteSummary
    ( [LoadDate]
    , [LoadTime]
    , [MarketDate]
    , [MarketTime]
    , [Symbol]
    , [forwardPE]
    , [forwardPE_fmt]
    , [profitMargins]
    , [profitMargins_fmt]
    , [floatShares]
    , [floatShares_fmt]
    , [sharesOutstanding]
    , [sharesOutstanding_fmt]
    , [sharesShort]
    , [sharesShort_fmt]
    , [sharesShortPriorMonth]
    , [sharesShortPriorMonth_fmt]
    , [heldPercentInsiders]
    , [heldPercentInsiders_fmt]
    , [heldPercentInstitutions]
    , [heldPercentInstitutions_fmt]
    , [shortRatio]
    , [shortRatio_fmt]
    , [shortPercentOfFloat]
    , [shortPercentOfFloat_fmt]
    , [beta]
    , [beta_fmt]
    , [bookValue]
    , [bookValue_fmt]
    , [priceToBook]
    , [priceToBook_fmt]
    , [lastFiscalYearEnd]
    , [lastFiscalYearEnd_fmt]
    , [nextFiscalYearEnd]
    , [nextFiscalYearEnd_fmt]
    , [mostRecentQuarter]
    , [mostRecentQuarter_fmt]
    , [earningsQuarterlyGrowth]
    , [earningsQuarterlyGrowth_fmt]
    , [netIncomeToCommon]
    , [netIncomeToCommon_fmt]
    , [trailingEps]
    , [trailingEps_fmt]
    , [forwardEps]
    , [forwardEps_fmt]
    , [pegRatio]
    , [pegRatio_fmt]
    , [lastSplitFactor]
    , [lastSplitDate]
    , [lastSplitDate_fmt]
    , [52WeekChange]
    , [52WeekChange_fmt]
    , [SandP52WeekChange]
    , [SandP52WeekChange_fmt]
    , [earnings_earningsDate_0]
    , [earnings_earningsDate_0_fmt]
    , [earnings_earningsAverage]
    , [earnings_earningsAverage_fmt]
    , [earnings_earningsLow]
    , [earnings_earningsLow_fmt]
    , [earnings_earningsHigh]
    , [earnings_earningsHigh_fmt]
    , [earnings_revenueAverage]
    , [earnings_revenueAverage_fmt]
    , [earnings_revenueLow]
    , [earnings_revenueLow_fmt]
    , [earnings_revenueHigh]
    , [earnings_revenueHigh_fmt]
    , [exDividendDate]
    , [exDividendDate_fmt]
    , [dividendDate]
    , [dividendDate_fmt]
    , [currentPrice]
    , [currentPrice_fmt]
    , [targetHighPrice]
    , [targetHighPrice_fmt]
    , [targetLowPrice]
    , [targetLowPrice_fmt]
    , [targetMeanPrice]
    , [targetMeanPrice_fmt]
    , [targetMedianPrice]
    , [targetMedianPrice_fmt]
    , [recommendationMean]
    , [recommendationMean_fmt]
    , [recommendationKey]
    , [numberOfAnalystOpinions]
    , [numberOfAnalystOpinions_fmt]
    , [totalCash]
    , [totalCash_fmt]
    , [totalCashPerShare]
    , [totalCashPerShare_fmt]
    , [ebitda]
    , [ebitda_fmt]
    , [totalDebt]
    , [totalDebt_fmt]
    , [quickRatio]
    , [quickRatio_fmt]
    , [currentRatio]
    , [currentRatio_fmt]
    , [totalRevenue]
    , [totalRevenue_fmt]
    , [debtToEquity]
    , [debtToEquity_fmt]
    , [revenuePerShare]
    , [revenuePerShare_fmt]
    , [returnOnAssets]
    , [returnOnAssets_fmt]
    , [returnOnEquity]
    , [returnOnEquity_fmt]
    , [grossProfits]
    , [grossProfits_fmt]
    , [freeCashflow]
    , [freeCashflow_fmt]
    , [operatingCashflow]
    , [operatingCashflow_fmt]
    , [earningsGrowth]
    , [earningsGrowth_fmt]
    , [revenueGrowth]
    , [revenueGrowth_fmt]
    , [grossMargins]
    , [grossMargins_fmt]
    , [ebitdaMargins]
    , [ebitdaMargins_fmt]
    , [operatingMargins]
    , [operatingMargins_fmt]
    )
SELECT
    t.[LoadDate]
    , t.[LoadTime]
    , t.[MarketDate]
    , t.[MarketTime]
    , t.[Symbol]
    , t.[forwardPE]
    , t.[forwardPE_fmt]
    , t.[profitMargins]
    , t.[profitMargins_fmt]
    , t.[floatShares]
    , t.[floatShares_fmt]
    , t.[sharesOutstanding]
    , t.[sharesOutstanding_fmt]
    , t.[sharesShort]
    , t.[sharesShort_fmt]
    , t.[sharesShortPriorMonth]
    , t.[sharesShortPriorMonth_fmt]
    , t.[heldPercentInsiders]
    , t.[heldPercentInsiders_fmt]
    , t.[heldPercentInstitutions]
    , t.[heldPercentInstitutions_fmt]
    , t.[shortRatio]
    , t.[shortRatio_fmt]
    , t.[shortPercentOfFloat]
    , t.[shortPercentOfFloat_fmt]
    , t.[beta]
    , t.[beta_fmt]
    , t.[bookValue]
    , t.[bookValue_fmt]
    , t.[priceToBook]
    , t.[priceToBook_fmt]
    , t.[lastFiscalYearEnd]
    , t.[lastFiscalYearEnd_fmt]
    , t.[nextFiscalYearEnd]
    , t.[nextFiscalYearEnd_fmt]
    , t.[mostRecentQuarter]
    , t.[mostRecentQuarter_fmt]
    , t.[earningsQuarterlyGrowth]
    , t.[earningsQuarterlyGrowth_fmt]
    , t.[netIncomeToCommon]
    , t.[netIncomeToCommon_fmt]
    , t.[trailingEps]
    , t.[trailingEps_fmt]
    , t.[forwardEps]
    , t.[forwardEps_fmt]
    , t.[pegRatio]
    , t.[pegRatio_fmt]
    , t.[lastSplitFactor]
    , t.[lastSplitDate]
    , t.[lastSplitDate_fmt]
    , t.[52WeekChange]
    , t.[52WeekChange_fmt]
    , t.[SandP52WeekChange]
    , t.[SandP52WeekChange_fmt]
    , t.[earnings_earningsDate_0]
    , t.[earnings_earningsDate_0_fmt]
    , t.[earnings_earningsAverage]
    , t.[earnings_earningsAverage_fmt]
    , t.[earnings_earningsLow]
    , t.[earnings_earningsLow_fmt]
    , t.[earnings_earningsHigh]
    , t.[earnings_earningsHigh_fmt]
    , t.[earnings_revenueAverage]
    , t.[earnings_revenueAverage_fmt]
    , t.[earnings_revenueLow]
    , t.[earnings_revenueLow_fmt]
    , t.[earnings_revenueHigh]
    , t.[earnings_revenueHigh_fmt]
    , t.[exDividendDate]
    , t.[exDividendDate_fmt]
    , t.[dividendDate]
    , t.[dividendDate_fmt]
    , t.[currentPrice]
    , t.[currentPrice_fmt]
    , t.[targetHighPrice]
    , t.[targetHighPrice_fmt]
    , t.[targetLowPrice]
    , t.[targetLowPrice_fmt]
    , t.[targetMeanPrice]
    , t.[targetMeanPrice_fmt]
    , t.[targetMedianPrice]
    , t.[targetMedianPrice_fmt]
    , t.[recommendationMean]
    , t.[recommendationMean_fmt]
    , t.[recommendationKey]
    , t.[numberOfAnalystOpinions]
    , t.[numberOfAnalystOpinions_fmt]
    , t.[totalCash]
    , t.[totalCash_fmt]
    , t.[totalCashPerShare]
    , t.[totalCashPerShare_fmt]
    , t.[ebitda]
    , t.[ebitda_fmt]
    , t.[totalDebt]
    , t.[totalDebt_fmt]
    , t.[quickRatio]
    , t.[quickRatio_fmt]
    , t.[currentRatio]
    , t.[currentRatio_fmt]
    , t.[totalRevenue]
    , t.[totalRevenue_fmt]
    , t.[debtToEquity]
    , t.[debtToEquity_fmt]
    , t.[revenuePerShare]
    , t.[revenuePerShare_fmt]
    , t.[returnOnAssets]
    , t.[returnOnAssets_fmt]
    , t.[returnOnEquity]
    , t.[returnOnEquity_fmt]
    , t.[grossProfits]
    , t.[grossProfits_fmt]
    , t.[freeCashflow]
    , t.[freeCashflow_fmt]
    , t.[operatingCashflow]
    , t.[operatingCashflow_fmt]
    , t.[earningsGrowth]
    , t.[earningsGrowth_fmt]
    , t.[revenueGrowth]
    , t.[revenueGrowth_fmt]
    , t.[grossMargins]
    , t.[grossMargins_fmt]
    , t.[ebitdaMargins]
    , t.[ebitdaMargins_fmt]
    , t.[operatingMargins]
    , t.[operatingMargins_fmt]
FROM
    (
    SELECT
        [LoadDate] AS [LoadDate]
        , [LoadTime] AS [LoadTime]
        , [MarketDate] AS [MarketDate]
        , [MarketTime] AS [MarketTime]
        , [Symbol] AS [Symbol]
        , [forwardPE] AS [forwardPE]
        , [forwardPE_fmt] AS [forwardPE_fmt]
        , [profitMargins] AS [profitMargins]
        , [profitMargins_fmt] AS [profitMargins_fmt]
        , [floatShares] AS [floatShares]
        , [floatShares_fmt] AS [floatShares_fmt]
        , [sharesOutstanding] AS [sharesOutstanding]
        , [sharesOutstanding_fmt] AS [sharesOutstanding_fmt]
        , [sharesShort] AS [sharesShort]
        , [sharesShort_fmt] AS [sharesShort_fmt]
        , [sharesShortPriorMonth] AS [sharesShortPriorMonth]
        , [sharesShortPriorMonth_fmt] AS [sharesShortPriorMonth_fmt]
        , [heldPercentInsiders] AS [heldPercentInsiders]
        , [heldPercentInsiders_fmt] AS [heldPercentInsiders_fmt]
        , [heldPercentInstitutions] AS [heldPercentInstitutions]
        , [heldPercentInstitutions_fmt] AS [heldPercentInstitutions_fmt]
        , [shortRatio] AS [shortRatio]
        , [shortRatio_fmt] AS [shortRatio_fmt]
        , [shortPercentOfFloat] AS [shortPercentOfFloat]
        , [shortPercentOfFloat_fmt] AS [shortPercentOfFloat_fmt]
        , [beta] AS [beta]
        , [beta_fmt] AS [beta_fmt]
        , [bookValue] AS [bookValue]
        , [bookValue_fmt] AS [bookValue_fmt]
        , [priceToBook] AS [priceToBook]
        , [priceToBook_fmt] AS [priceToBook_fmt]
        , [lastFiscalYearEnd] AS [lastFiscalYearEnd]
        , [lastFiscalYearEnd_fmt] AS [lastFiscalYearEnd_fmt]
        , [nextFiscalYearEnd] AS [nextFiscalYearEnd]
        , [nextFiscalYearEnd_fmt] AS [nextFiscalYearEnd_fmt]
        , [mostRecentQuarter] AS [mostRecentQuarter]
        , [mostRecentQuarter_fmt] AS [mostRecentQuarter_fmt]
        , [earningsQuarterlyGrowth] AS [earningsQuarterlyGrowth]
        , [earningsQuarterlyGrowth_fmt] AS [earningsQuarterlyGrowth_fmt]
        , [netIncomeToCommon] AS [netIncomeToCommon]
        , [netIncomeToCommon_fmt] AS [netIncomeToCommon_fmt]
        , [trailingEps] AS [trailingEps]
        , [trailingEps_fmt] AS [trailingEps_fmt]
        , [forwardEps] AS [forwardEps]
        , [forwardEps_fmt] AS [forwardEps_fmt]
        , [pegRatio] AS [pegRatio]
        , [pegRatio_fmt] AS [pegRatio_fmt]
        , [lastSplitFactor] AS [lastSplitFactor]
        , [lastSplitDate] AS [lastSplitDate]
        , [lastSplitDate_fmt] AS [lastSplitDate_fmt]
        , [52WeekChange] AS [52WeekChange]
        , [52WeekChange_fmt] AS [52WeekChange_fmt]
        , [SandP52WeekChange] AS [SandP52WeekChange]
        , [SandP52WeekChange_fmt] AS [SandP52WeekChange_fmt]
        , [earnings_earningsDate_0] AS [earnings_earningsDate_0]
        , [earnings_earningsDate_0_fmt] AS [earnings_earningsDate_0_fmt]
        , [earnings_earningsAverage] AS [earnings_earningsAverage]
        , [earnings_earningsAverage_fmt] AS [earnings_earningsAverage_fmt]
        , [earnings_earningsLow] AS [earnings_earningsLow]
        , [earnings_earningsLow_fmt] AS [earnings_earningsLow_fmt]
        , [earnings_earningsHigh] AS [earnings_earningsHigh]
        , [earnings_earningsHigh_fmt] AS [earnings_earningsHigh_fmt]
        , [earnings_revenueAverage] AS [earnings_revenueAverage]
        , [earnings_revenueAverage_fmt] AS [earnings_revenueAverage_fmt]
        , [earnings_revenueLow] AS [earnings_revenueLow]
        , [earnings_revenueLow_fmt] AS [earnings_revenueLow_fmt]
        , [earnings_revenueHigh] AS [earnings_revenueHigh]
        , [earnings_revenueHigh_fmt] AS [earnings_revenueHigh_fmt]
        , [exDividendDate] AS [exDividendDate]
        , [exDividendDate_fmt] AS [exDividendDate_fmt]
        , [dividendDate] AS [dividendDate]
        , [dividendDate_fmt] AS [dividendDate_fmt]
        , [currentPrice] AS [currentPrice]
        , [currentPrice_fmt] AS [currentPrice_fmt]
        , [targetHighPrice] AS [targetHighPrice]
        , [targetHighPrice_fmt] AS [targetHighPrice_fmt]
        , [targetLowPrice] AS [targetLowPrice]
        , [targetLowPrice_fmt] AS [targetLowPrice_fmt]
        , [targetMeanPrice] AS [targetMeanPrice]
        , [targetMeanPrice_fmt] AS [targetMeanPrice_fmt]
        , [targetMedianPrice] AS [targetMedianPrice]
        , [targetMedianPrice_fmt] AS [targetMedianPrice_fmt]
        , [recommendationMean] AS [recommendationMean]
        , [recommendationMean_fmt] AS [recommendationMean_fmt]
        , [recommendationKey] AS [recommendationKey]
        , [numberOfAnalystOpinions] AS [numberOfAnalystOpinions]
        , [numberOfAnalystOpinions_fmt] AS [numberOfAnalystOpinions_fmt]
        , [totalCash] AS [totalCash]
        , [totalCash_fmt] AS [totalCash_fmt]
        , [totalCashPerShare] AS [totalCashPerShare]
        , [totalCashPerShare_fmt] AS [totalCashPerShare_fmt]
        , [ebitda] AS [ebitda]
        , [ebitda_fmt] AS [ebitda_fmt]
        , [totalDebt] AS [totalDebt]
        , [totalDebt_fmt] AS [totalDebt_fmt]
        , [quickRatio] AS [quickRatio]
        , [quickRatio_fmt] AS [quickRatio_fmt]
        , [currentRatio] AS [currentRatio]
        , [currentRatio_fmt] AS [currentRatio_fmt]
        , [totalRevenue] AS [totalRevenue]
        , [totalRevenue_fmt] AS [totalRevenue_fmt]
        , [debtToEquity] AS [debtToEquity]
        , [debtToEquity_fmt] AS [debtToEquity_fmt]
        , [revenuePerShare] AS [revenuePerShare]
        , [revenuePerShare_fmt] AS [revenuePerShare_fmt]
        , [returnOnAssets] AS [returnOnAssets]
        , [returnOnAssets_fmt] AS [returnOnAssets_fmt]
        , [returnOnEquity] AS [returnOnEquity]
        , [returnOnEquity_fmt] AS [returnOnEquity_fmt]
        , [grossProfits] AS [grossProfits]
        , [grossProfits_fmt] AS [grossProfits_fmt]
        , [freeCashflow] AS [freeCashflow]
        , [freeCashflow_fmt] AS [freeCashflow_fmt]
        , [operatingCashflow] AS [operatingCashflow]
        , [operatingCashflow_fmt] AS [operatingCashflow_fmt]
        , [earningsGrowth] AS [earningsGrowth]
        , [earningsGrowth_fmt] AS [earningsGrowth_fmt]
        , [revenueGrowth] AS [revenueGrowth]
        , [revenueGrowth_fmt] AS [revenueGrowth_fmt]
        , [grossMargins] AS [grossMargins]
        , [grossMargins_fmt] AS [grossMargins_fmt]
        , [ebitdaMargins] AS [ebitdaMargins]
        , [ebitdaMargins_fmt] AS [ebitdaMargins_fmt]
        , [operatingMargins] AS [operatingMargins]
        , [operatingMargins_fmt] AS [operatingMargins_fmt]
    FROM
        OPENROWSET(
            BULK 'C:\MarketData\csv\YahooQuoteSummary.csv',
            FORMATFILE = 'C:\MarketData\bin\YahooQuoteSummary.fmt',
            CODEPAGE = '1252',
            FIRSTROW = 2) t
    ) t
    LEFT OUTER JOIN yahoo.QuoteSummary d
        ON d.Symbol = t.Symbol COLLATE SQL_Latin1_General_CP1_CI_AS AND d.LoadDate = t.LoadDate AND d.LoadTime = t.LoadTime
WHERE
    d.Symbol IS NULL
