SET NOCOUNT ON;

SELECT
    'yahoo.Options' AS [Table]
    , MAX(t.LoadDate) AS LoadDate
    , COUNT(DISTINCT c.Symbol) AS SymbolCount
    , COUNT(*) AS RecordCount
FROM
    yahoo.Options t
    INNER JOIN yahoo.OptionContracts c ON c.ID = t.OptionContractID
WHERE
    t.LoadDate = (SELECT MAX(LoadDate) FROM yahoo.Options)
